<?php
/**
 * File for class InventoryStructAddonGroupsList
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonGroupsList originally named AddonGroupsList
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd0}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonGroupsList extends InventoryWsdlClass
{
    /**
     * The pStrProductId
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var string
     */
    public $pStrProductId;
    /**
     * Constructor method for AddonGroupsList
     * @see parent::__construct()
     * @param string $_pStrProductId
     * @return InventoryStructAddonGroupsList
     */
    public function __construct($_pStrProductId = NULL)
    {
        parent::__construct(array('pStrProductId'=>$_pStrProductId),false);
    }
    /**
     * Get pStrProductId value
     * @return string|null
     */
    public function getPStrProductId()
    {
        return $this->pStrProductId;
    }
    /**
     * Set pStrProductId value
     * @param string $_pStrProductId the pStrProductId
     * @return string
     */
    public function setPStrProductId($_pStrProductId)
    {
        return ($this->pStrProductId = $_pStrProductId);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonGroupsList
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
