<?php
/**
 * File for class InventoryStructAddonGroupsListWithDetailsInfoResult
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonGroupsListWithDetailsInfoResult originally named AddonGroupsListWithDetailsInfoResult
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonGroupsListWithDetailsInfoResult extends InventoryWsdlClass
{
    /**
     * The AddonGroupsDetailsList
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructArrayOfAddonGroups_Details
     */
    public $AddonGroupsDetailsList;
    /**
     * The Message
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var string
     */
    public $Message;
    /**
     * The Result
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var boolean
     */
    public $Result;
    /**
     * The Result_Code
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Result_Code;
    /**
     * Constructor method for AddonGroupsListWithDetailsInfoResult
     * @see parent::__construct()
     * @param InventoryStructArrayOfAddonGroups_Details $_addonGroupsDetailsList
     * @param string $_message
     * @param boolean $_result
     * @param int $_result_Code
     * @return InventoryStructAddonGroupsListWithDetailsInfoResult
     */
    public function __construct($_addonGroupsDetailsList = NULL,$_message = NULL,$_result = NULL,$_result_Code = NULL)
    {
        parent::__construct(array('AddonGroupsDetailsList'=>($_addonGroupsDetailsList instanceof InventoryStructArrayOfAddonGroups_Details)?$_addonGroupsDetailsList:new InventoryStructArrayOfAddonGroups_Details($_addonGroupsDetailsList),'Message'=>$_message,'Result'=>$_result,'Result_Code'=>$_result_Code),false);
    }
    /**
     * Get AddonGroupsDetailsList value
     * @return InventoryStructArrayOfAddonGroups_Details|null
     */
    public function getAddonGroupsDetailsList()
    {
        return $this->AddonGroupsDetailsList;
    }
    /**
     * Set AddonGroupsDetailsList value
     * @param InventoryStructArrayOfAddonGroups_Details $_addonGroupsDetailsList the AddonGroupsDetailsList
     * @return InventoryStructArrayOfAddonGroups_Details
     */
    public function setAddonGroupsDetailsList($_addonGroupsDetailsList)
    {
        return ($this->AddonGroupsDetailsList = $_addonGroupsDetailsList);
    }
    /**
     * Get Message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * Set Message value
     * @param string $_message the Message
     * @return string
     */
    public function setMessage($_message)
    {
        return ($this->Message = $_message);
    }
    /**
     * Get Result value
     * @return boolean|null
     */
    public function getResult()
    {
        return $this->Result;
    }
    /**
     * Set Result value
     * @param boolean $_result the Result
     * @return boolean
     */
    public function setResult($_result)
    {
        return ($this->Result = $_result);
    }
    /**
     * Get Result_Code value
     * @return int|null
     */
    public function getResult_Code()
    {
        return $this->Result_Code;
    }
    /**
     * Set Result_Code value
     * @param int $_result_Code the Result_Code
     * @return int
     */
    public function setResult_Code($_result_Code)
    {
        return ($this->Result_Code = $_result_Code);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonGroupsListWithDetailsInfoResult
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
