<?php
/**
 * File for class InventoryStructAddons_Details
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddons_Details originally named Addons_Details
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddons_Details extends InventoryWsdlClass
{
    /**
     * The AddonDescription
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var string
     */
    public $AddonDescription;
    /**
     * The Addon_Id
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Addon_Id;
    /**
     * The Group_Id
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Group_Id;
    /**
     * The Recurring_12_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_12_Month;
    /**
     * The Recurring_1_Hour
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_1_Hour;
    /**
     * The Recurring_1_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_1_Month;
    /**
     * The Recurring_24_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_24_Month;
    /**
     * The Recurring_36_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_36_Month;
    /**
     * The Recurring_3_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_3_Month;
    /**
     * The Recurring_6_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Recurring_6_Month;
    /**
     * The Setup_12_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_12_Month;
    /**
     * The Setup_1_Hour
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_1_Hour;
    /**
     * The Setup_1_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_1_Month;
    /**
     * The Setup_24_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_24_Month;
    /**
     * The Setup_36_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_36_Month;
    /**
     * The Setup_3_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_3_Month;
    /**
     * The Setup_6_Month
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var decimal
     */
    public $Setup_6_Month;
    /**
     * The Sort_Order
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Sort_Order;
    /**
     * Constructor method for Addons_Details
     * @see parent::__construct()
     * @param string $_addonDescription
     * @param int $_addon_Id
     * @param int $_group_Id
     * @param decimal $_recurring_12_Month
     * @param decimal $_recurring_1_Hour
     * @param decimal $_recurring_1_Month
     * @param decimal $_recurring_24_Month
     * @param decimal $_recurring_36_Month
     * @param decimal $_recurring_3_Month
     * @param decimal $_recurring_6_Month
     * @param decimal $_setup_12_Month
     * @param decimal $_setup_1_Hour
     * @param decimal $_setup_1_Month
     * @param decimal $_setup_24_Month
     * @param decimal $_setup_36_Month
     * @param decimal $_setup_3_Month
     * @param decimal $_setup_6_Month
     * @param int $_sort_Order
     * @return InventoryStructAddons_Details
     */
    public function __construct($_addonDescription = NULL,$_addon_Id = NULL,$_group_Id = NULL,$_recurring_12_Month = NULL,$_recurring_1_Hour = NULL,$_recurring_1_Month = NULL,$_recurring_24_Month = NULL,$_recurring_36_Month = NULL,$_recurring_3_Month = NULL,$_recurring_6_Month = NULL,$_setup_12_Month = NULL,$_setup_1_Hour = NULL,$_setup_1_Month = NULL,$_setup_24_Month = NULL,$_setup_36_Month = NULL,$_setup_3_Month = NULL,$_setup_6_Month = NULL,$_sort_Order = NULL)
    {
        parent::__construct(array('AddonDescription'=>$_addonDescription,'Addon_Id'=>$_addon_Id,'Group_Id'=>$_group_Id,'Recurring_12_Month'=>$_recurring_12_Month,'Recurring_1_Hour'=>$_recurring_1_Hour,'Recurring_1_Month'=>$_recurring_1_Month,'Recurring_24_Month'=>$_recurring_24_Month,'Recurring_36_Month'=>$_recurring_36_Month,'Recurring_3_Month'=>$_recurring_3_Month,'Recurring_6_Month'=>$_recurring_6_Month,'Setup_12_Month'=>$_setup_12_Month,'Setup_1_Hour'=>$_setup_1_Hour,'Setup_1_Month'=>$_setup_1_Month,'Setup_24_Month'=>$_setup_24_Month,'Setup_36_Month'=>$_setup_36_Month,'Setup_3_Month'=>$_setup_3_Month,'Setup_6_Month'=>$_setup_6_Month,'Sort_Order'=>$_sort_Order),false);
    }
    /**
     * Get AddonDescription value
     * @return string|null
     */
    public function getAddonDescription()
    {
        return $this->AddonDescription;
    }
    /**
     * Set AddonDescription value
     * @param string $_addonDescription the AddonDescription
     * @return string
     */
    public function setAddonDescription($_addonDescription)
    {
        return ($this->AddonDescription = $_addonDescription);
    }
    /**
     * Get Addon_Id value
     * @return int|null
     */
    public function getAddon_Id()
    {
        return $this->Addon_Id;
    }
    /**
     * Set Addon_Id value
     * @param int $_addon_Id the Addon_Id
     * @return int
     */
    public function setAddon_Id($_addon_Id)
    {
        return ($this->Addon_Id = $_addon_Id);
    }
    /**
     * Get Group_Id value
     * @return int|null
     */
    public function getGroup_Id()
    {
        return $this->Group_Id;
    }
    /**
     * Set Group_Id value
     * @param int $_group_Id the Group_Id
     * @return int
     */
    public function setGroup_Id($_group_Id)
    {
        return ($this->Group_Id = $_group_Id);
    }
    /**
     * Get Recurring_12_Month value
     * @return decimal|null
     */
    public function getRecurring_12_Month()
    {
        return $this->Recurring_12_Month;
    }
    /**
     * Set Recurring_12_Month value
     * @param decimal $_recurring_12_Month the Recurring_12_Month
     * @return decimal
     */
    public function setRecurring_12_Month($_recurring_12_Month)
    {
        return ($this->Recurring_12_Month = $_recurring_12_Month);
    }
    /**
     * Get Recurring_1_Hour value
     * @return decimal|null
     */
    public function getRecurring_1_Hour()
    {
        return $this->Recurring_1_Hour;
    }
    /**
     * Set Recurring_1_Hour value
     * @param decimal $_recurring_1_Hour the Recurring_1_Hour
     * @return decimal
     */
    public function setRecurring_1_Hour($_recurring_1_Hour)
    {
        return ($this->Recurring_1_Hour = $_recurring_1_Hour);
    }
    /**
     * Get Recurring_1_Month value
     * @return decimal|null
     */
    public function getRecurring_1_Month()
    {
        return $this->Recurring_1_Month;
    }
    /**
     * Set Recurring_1_Month value
     * @param decimal $_recurring_1_Month the Recurring_1_Month
     * @return decimal
     */
    public function setRecurring_1_Month($_recurring_1_Month)
    {
        return ($this->Recurring_1_Month = $_recurring_1_Month);
    }
    /**
     * Get Recurring_24_Month value
     * @return decimal|null
     */
    public function getRecurring_24_Month()
    {
        return $this->Recurring_24_Month;
    }
    /**
     * Set Recurring_24_Month value
     * @param decimal $_recurring_24_Month the Recurring_24_Month
     * @return decimal
     */
    public function setRecurring_24_Month($_recurring_24_Month)
    {
        return ($this->Recurring_24_Month = $_recurring_24_Month);
    }
    /**
     * Get Recurring_36_Month value
     * @return decimal|null
     */
    public function getRecurring_36_Month()
    {
        return $this->Recurring_36_Month;
    }
    /**
     * Set Recurring_36_Month value
     * @param decimal $_recurring_36_Month the Recurring_36_Month
     * @return decimal
     */
    public function setRecurring_36_Month($_recurring_36_Month)
    {
        return ($this->Recurring_36_Month = $_recurring_36_Month);
    }
    /**
     * Get Recurring_3_Month value
     * @return decimal|null
     */
    public function getRecurring_3_Month()
    {
        return $this->Recurring_3_Month;
    }
    /**
     * Set Recurring_3_Month value
     * @param decimal $_recurring_3_Month the Recurring_3_Month
     * @return decimal
     */
    public function setRecurring_3_Month($_recurring_3_Month)
    {
        return ($this->Recurring_3_Month = $_recurring_3_Month);
    }
    /**
     * Get Recurring_6_Month value
     * @return decimal|null
     */
    public function getRecurring_6_Month()
    {
        return $this->Recurring_6_Month;
    }
    /**
     * Set Recurring_6_Month value
     * @param decimal $_recurring_6_Month the Recurring_6_Month
     * @return decimal
     */
    public function setRecurring_6_Month($_recurring_6_Month)
    {
        return ($this->Recurring_6_Month = $_recurring_6_Month);
    }
    /**
     * Get Setup_12_Month value
     * @return decimal|null
     */
    public function getSetup_12_Month()
    {
        return $this->Setup_12_Month;
    }
    /**
     * Set Setup_12_Month value
     * @param decimal $_setup_12_Month the Setup_12_Month
     * @return decimal
     */
    public function setSetup_12_Month($_setup_12_Month)
    {
        return ($this->Setup_12_Month = $_setup_12_Month);
    }
    /**
     * Get Setup_1_Hour value
     * @return decimal|null
     */
    public function getSetup_1_Hour()
    {
        return $this->Setup_1_Hour;
    }
    /**
     * Set Setup_1_Hour value
     * @param decimal $_setup_1_Hour the Setup_1_Hour
     * @return decimal
     */
    public function setSetup_1_Hour($_setup_1_Hour)
    {
        return ($this->Setup_1_Hour = $_setup_1_Hour);
    }
    /**
     * Get Setup_1_Month value
     * @return decimal|null
     */
    public function getSetup_1_Month()
    {
        return $this->Setup_1_Month;
    }
    /**
     * Set Setup_1_Month value
     * @param decimal $_setup_1_Month the Setup_1_Month
     * @return decimal
     */
    public function setSetup_1_Month($_setup_1_Month)
    {
        return ($this->Setup_1_Month = $_setup_1_Month);
    }
    /**
     * Get Setup_24_Month value
     * @return decimal|null
     */
    public function getSetup_24_Month()
    {
        return $this->Setup_24_Month;
    }
    /**
     * Set Setup_24_Month value
     * @param decimal $_setup_24_Month the Setup_24_Month
     * @return decimal
     */
    public function setSetup_24_Month($_setup_24_Month)
    {
        return ($this->Setup_24_Month = $_setup_24_Month);
    }
    /**
     * Get Setup_36_Month value
     * @return decimal|null
     */
    public function getSetup_36_Month()
    {
        return $this->Setup_36_Month;
    }
    /**
     * Set Setup_36_Month value
     * @param decimal $_setup_36_Month the Setup_36_Month
     * @return decimal
     */
    public function setSetup_36_Month($_setup_36_Month)
    {
        return ($this->Setup_36_Month = $_setup_36_Month);
    }
    /**
     * Get Setup_3_Month value
     * @return decimal|null
     */
    public function getSetup_3_Month()
    {
        return $this->Setup_3_Month;
    }
    /**
     * Set Setup_3_Month value
     * @param decimal $_setup_3_Month the Setup_3_Month
     * @return decimal
     */
    public function setSetup_3_Month($_setup_3_Month)
    {
        return ($this->Setup_3_Month = $_setup_3_Month);
    }
    /**
     * Get Setup_6_Month value
     * @return decimal|null
     */
    public function getSetup_6_Month()
    {
        return $this->Setup_6_Month;
    }
    /**
     * Set Setup_6_Month value
     * @param decimal $_setup_6_Month the Setup_6_Month
     * @return decimal
     */
    public function setSetup_6_Month($_setup_6_Month)
    {
        return ($this->Setup_6_Month = $_setup_6_Month);
    }
    /**
     * Get Sort_Order value
     * @return int|null
     */
    public function getSort_Order()
    {
        return $this->Sort_Order;
    }
    /**
     * Set Sort_Order value
     * @param int $_sort_Order the Sort_Order
     * @return int
     */
    public function setSort_Order($_sort_Order)
    {
        return ($this->Sort_Order = $_sort_Order);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddons_Details
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
