<?php
/**
 * File for class InventoryStructAddonGroups_Details
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonGroups_Details originally named AddonGroups_Details
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonGroups_Details extends InventoryWsdlClass
{
    /**
     * The Description
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var string
     */
    public $Description;
    /**
     * The Group_Id
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Group_Id;
    /**
     * The Sort_Order
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Sort_Order;
    /**
     * Constructor method for AddonGroups_Details
     * @see parent::__construct()
     * @param string $_description
     * @param int $_group_Id
     * @param int $_sort_Order
     * @return InventoryStructAddonGroups_Details
     */
    public function __construct($_description = NULL,$_group_Id = NULL,$_sort_Order = NULL)
    {
        parent::__construct(array('Description'=>$_description,'Group_Id'=>$_group_Id,'Sort_Order'=>$_sort_Order),false);
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $_description the Description
     * @return string
     */
    public function setDescription($_description)
    {
        return ($this->Description = $_description);
    }
    /**
     * Get Group_Id value
     * @return int|null
     */
    public function getGroup_Id()
    {
        return $this->Group_Id;
    }
    /**
     * Set Group_Id value
     * @param int $_group_Id the Group_Id
     * @return int
     */
    public function setGroup_Id($_group_Id)
    {
        return ($this->Group_Id = $_group_Id);
    }
    /**
     * Get Sort_Order value
     * @return int|null
     */
    public function getSort_Order()
    {
        return $this->Sort_Order;
    }
    /**
     * Set Sort_Order value
     * @param int $_sort_Order the Sort_Order
     * @return int
     */
    public function setSort_Order($_sort_Order)
    {
        return ($this->Sort_Order = $_sort_Order);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonGroups_Details
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
