<?php
/**
 * File for class InventoryStructAddonGroupsListResponse
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonGroupsListResponse originally named AddonGroupsListResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd0}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonGroupsListResponse extends InventoryWsdlClass
{
    /**
     * The AddonGroupsListResult
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructAddonGroupsListWithDetailsInfoResult
     */
    public $AddonGroupsListResult;
    /**
     * Constructor method for AddonGroupsListResponse
     * @see parent::__construct()
     * @param InventoryStructAddonGroupsListWithDetailsInfoResult $_addonGroupsListResult
     * @return InventoryStructAddonGroupsListResponse
     */
    public function __construct($_addonGroupsListResult = NULL)
    {
        parent::__construct(array('AddonGroupsListResult'=>$_addonGroupsListResult),false);
    }
    /**
     * Get AddonGroupsListResult value
     * @return InventoryStructAddonGroupsListWithDetailsInfoResult|null
     */
    public function getAddonGroupsListResult()
    {
        return $this->AddonGroupsListResult;
    }
    /**
     * Set AddonGroupsListResult value
     * @param InventoryStructAddonGroupsListWithDetailsInfoResult $_addonGroupsListResult the AddonGroupsListResult
     * @return InventoryStructAddonGroupsListWithDetailsInfoResult
     */
    public function setAddonGroupsListResult($_addonGroupsListResult)
    {
        return ($this->AddonGroupsListResult = $_addonGroupsListResult);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonGroupsListResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
