<?php
/**
 * File for class InventoryStructAddonsListResponse
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonsListResponse originally named AddonsListResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd0}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonsListResponse extends InventoryWsdlClass
{
    /**
     * The AddonsListResult
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructAddonsListWithDetailsInfoResult
     */
    public $AddonsListResult;
    /**
     * Constructor method for AddonsListResponse
     * @see parent::__construct()
     * @param InventoryStructAddonsListWithDetailsInfoResult $_addonsListResult
     * @return InventoryStructAddonsListResponse
     */
    public function __construct($_addonsListResult = NULL)
    {
        parent::__construct(array('AddonsListResult'=>$_addonsListResult),false);
    }
    /**
     * Get AddonsListResult value
     * @return InventoryStructAddonsListWithDetailsInfoResult|null
     */
    public function getAddonsListResult()
    {
        return $this->AddonsListResult;
    }
    /**
     * Set AddonsListResult value
     * @param InventoryStructAddonsListWithDetailsInfoResult $_addonsListResult the AddonsListResult
     * @return InventoryStructAddonsListWithDetailsInfoResult
     */
    public function setAddonsListResult($_addonsListResult)
    {
        return ($this->AddonsListResult = $_addonsListResult);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonsListResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
