<?php
/**
 * File for class InventoryStructAddonsListWithDetailsInfoResult
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructAddonsListWithDetailsInfoResult originally named AddonsListWithDetailsInfoResult
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructAddonsListWithDetailsInfoResult extends InventoryWsdlClass
{
    /**
     * The AddonsDetailsList
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructArrayOfAddons_Details
     */
    public $AddonsDetailsList;
    /**
     * The Message
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var string
     */
    public $Message;
    /**
     * The Result
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var boolean
     */
    public $Result;
    /**
     * The Result_Code
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $Result_Code;
    /**
     * Constructor method for AddonsListWithDetailsInfoResult
     * @see parent::__construct()
     * @param InventoryStructArrayOfAddons_Details $_addonsDetailsList
     * @param string $_message
     * @param boolean $_result
     * @param int $_result_Code
     * @return InventoryStructAddonsListWithDetailsInfoResult
     */
    public function __construct($_addonsDetailsList = NULL,$_message = NULL,$_result = NULL,$_result_Code = NULL)
    {
        parent::__construct(array('AddonsDetailsList'=>($_addonsDetailsList instanceof InventoryStructArrayOfAddons_Details)?$_addonsDetailsList:new InventoryStructArrayOfAddons_Details($_addonsDetailsList),'Message'=>$_message,'Result'=>$_result,'Result_Code'=>$_result_Code),false);
    }
    /**
     * Get AddonsDetailsList value
     * @return InventoryStructArrayOfAddons_Details|null
     */
    public function getAddonsDetailsList()
    {
        return $this->AddonsDetailsList;
    }
    /**
     * Set AddonsDetailsList value
     * @param InventoryStructArrayOfAddons_Details $_addonsDetailsList the AddonsDetailsList
     * @return InventoryStructArrayOfAddons_Details
     */
    public function setAddonsDetailsList($_addonsDetailsList)
    {
        return ($this->AddonsDetailsList = $_addonsDetailsList);
    }
    /**
     * Get Message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * Set Message value
     * @param string $_message the Message
     * @return string
     */
    public function setMessage($_message)
    {
        return ($this->Message = $_message);
    }
    /**
     * Get Result value
     * @return boolean|null
     */
    public function getResult()
    {
        return $this->Result;
    }
    /**
     * Set Result value
     * @param boolean $_result the Result
     * @return boolean
     */
    public function setResult($_result)
    {
        return ($this->Result = $_result);
    }
    /**
     * Get Result_Code value
     * @return int|null
     */
    public function getResult_Code()
    {
        return $this->Result_Code;
    }
    /**
     * Set Result_Code value
     * @param int $_result_Code the Result_Code
     * @return int
     */
    public function setResult_Code($_result_Code)
    {
        return ($this->Result_Code = $_result_Code);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructAddonsListWithDetailsInfoResult
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
