<?php
/**
 * File for class InventoryStructArrayOfAddonGroups_Details
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructArrayOfAddonGroups_Details originally named ArrayOfAddonGroups_Details
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructArrayOfAddonGroups_Details extends InventoryWsdlClass
{
    /**
     * The AddonGroups_Details
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructAddonGroups_Details
     */
    public $AddonGroups_Details;
    /**
     * Constructor method for ArrayOfAddonGroups_Details
     * @see parent::__construct()
     * @param InventoryStructAddonGroups_Details $_addonGroups_Details
     * @return InventoryStructArrayOfAddonGroups_Details
     */
    public function __construct($_addonGroups_Details = NULL)
    {
        parent::__construct(array('AddonGroups_Details'=>$_addonGroups_Details),false);
    }
    /**
     * Get AddonGroups_Details value
     * @return InventoryStructAddonGroups_Details|null
     */
    public function getAddonGroups_Details()
    {
        return $this->AddonGroups_Details;
    }
    /**
     * Set AddonGroups_Details value
     * @param InventoryStructAddonGroups_Details $_addonGroups_Details the AddonGroups_Details
     * @return InventoryStructAddonGroups_Details
     */
    public function setAddonGroups_Details($_addonGroups_Details)
    {
        return ($this->AddonGroups_Details = $_addonGroups_Details);
    }
    /**
     * Returns the current element
     * @see InventoryWsdlClass::current()
     * @return InventoryStructAddonGroups_Details
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see InventoryWsdlClass::item()
     * @param int $_index
     * @return InventoryStructAddonGroups_Details
     */
    public function item($_index)
    {
        return parent::item($_index);
    }
    /**
     * Returns the first element
     * @see InventoryWsdlClass::first()
     * @return InventoryStructAddonGroups_Details
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see InventoryWsdlClass::last()
     * @return InventoryStructAddonGroups_Details
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see InventoryWsdlClass::last()
     * @param int $_offset
     * @return InventoryStructAddonGroups_Details
     */
    public function offsetGet($_offset)
    {
        return parent::offsetGet($_offset);
    }
    /**
     * Returns the attribute name
     * @see InventoryWsdlClass::getAttributeName()
     * @return string AddonGroups_Details
     */
    public function getAttributeName()
    {
        return 'AddonGroups_Details';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructArrayOfAddonGroups_Details
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
