<?php
/**
 * File for class InventoryStructArrayOfAddons_Details
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructArrayOfAddons_Details originally named ArrayOfAddons_Details
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructArrayOfAddons_Details extends InventoryWsdlClass
{
    /**
     * The Addons_Details
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructAddons_Details
     */
    public $Addons_Details;
    /**
     * Constructor method for ArrayOfAddons_Details
     * @see parent::__construct()
     * @param InventoryStructAddons_Details $_addons_Details
     * @return InventoryStructArrayOfAddons_Details
     */
    public function __construct($_addons_Details = NULL)
    {
        parent::__construct(array('Addons_Details'=>$_addons_Details),false);
    }
    /**
     * Get Addons_Details value
     * @return InventoryStructAddons_Details|null
     */
    public function getAddons_Details()
    {
        return $this->Addons_Details;
    }
    /**
     * Set Addons_Details value
     * @param InventoryStructAddons_Details $_addons_Details the Addons_Details
     * @return InventoryStructAddons_Details
     */
    public function setAddons_Details($_addons_Details)
    {
        return ($this->Addons_Details = $_addons_Details);
    }
    /**
     * Returns the current element
     * @see InventoryWsdlClass::current()
     * @return InventoryStructAddons_Details
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see InventoryWsdlClass::item()
     * @param int $_index
     * @return InventoryStructAddons_Details
     */
    public function item($_index)
    {
        return parent::item($_index);
    }
    /**
     * Returns the first element
     * @see InventoryWsdlClass::first()
     * @return InventoryStructAddons_Details
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see InventoryWsdlClass::last()
     * @return InventoryStructAddons_Details
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see InventoryWsdlClass::last()
     * @param int $_offset
     * @return InventoryStructAddons_Details
     */
    public function offsetGet($_offset)
    {
        return parent::offsetGet($_offset);
    }
    /**
     * Returns the attribute name
     * @see InventoryWsdlClass::getAttributeName()
     * @return string Addons_Details
     */
    public function getAttributeName()
    {
        return 'Addons_Details';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructArrayOfAddons_Details
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
