<?php
/**
 * File for class InventoryStructArrayOfServer_Details
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructArrayOfServer_Details originally named ArrayOfServer_Details
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd2}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructArrayOfServer_Details extends InventoryWsdlClass
{
    /**
     * The Server_Details
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructServer_Details
     */
    public $Server_Details;
    /**
     * Constructor method for ArrayOfServer_Details
     * @see parent::__construct()
     * @param InventoryStructServer_Details $_server_Details
     * @return InventoryStructArrayOfServer_Details
     */
    public function __construct($_server_Details = NULL)
    {
        parent::__construct(array('Server_Details'=>$_server_Details),false);
    }
    /**
     * Get Server_Details value
     * @return InventoryStructServer_Details|null
     */
    public function getServer_Details()
    {
        return $this->Server_Details;
    }
    /**
     * Set Server_Details value
     * @param InventoryStructServer_Details $_server_Details the Server_Details
     * @return InventoryStructServer_Details
     */
    public function setServer_Details($_server_Details)
    {
        return ($this->Server_Details = $_server_Details);
    }
    /**
     * Returns the current element
     * @see InventoryWsdlClass::current()
     * @return InventoryStructServer_Details
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see InventoryWsdlClass::item()
     * @param int $_index
     * @return InventoryStructServer_Details
     */
    public function item($_index)
    {
        return parent::item($_index);
    }
    /**
     * Returns the first element
     * @see InventoryWsdlClass::first()
     * @return InventoryStructServer_Details
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see InventoryWsdlClass::last()
     * @return InventoryStructServer_Details
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see InventoryWsdlClass::last()
     * @param int $_offset
     * @return InventoryStructServer_Details
     */
    public function offsetGet($_offset)
    {
        return parent::offsetGet($_offset);
    }
    /**
     * Returns the attribute name
     * @see InventoryWsdlClass::getAttributeName()
     * @return string Server_Details
     */
    public function getAttributeName()
    {
        return 'Server_Details';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructArrayOfServer_Details
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
