<?php
/**
 * File for the class which returns the class map definition
 * @package Inventory
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * Class which returns the class map definition by the static method InventoryClassMap::classMap()
 * @package Inventory
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryClassMap
{
    /**
     * This method returns the array containing the mapping between WSDL structs and generated classes
     * This array is sent to the SoapClient when calling the WS
     * @return array
     */
    final public static function classMap()
    {
        return array (
  'AddonGroupsList' => 'InventoryStructAddonGroupsList',
  'AddonGroupsListResponse' => 'InventoryStructAddonGroupsListResponse',
  'AddonGroupsListWithDetailsInfoResult' => 'InventoryStructAddonGroupsListWithDetailsInfoResult',
  'AddonGroups_Details' => 'InventoryStructAddonGroups_Details',
  'AddonsList' => 'InventoryStructAddonsList',
  'AddonsListResponse' => 'InventoryStructAddonsListResponse',
  'AddonsListWithDetailsInfoResult' => 'InventoryStructAddonsListWithDetailsInfoResult',
  'Addons_Details' => 'InventoryStructAddons_Details',
  'ArrayOfAddonGroups_Details' => 'InventoryStructArrayOfAddonGroups_Details',
  'ArrayOfAddons_Details' => 'InventoryStructArrayOfAddons_Details',
  'ArrayOfServer_Details' => 'InventoryStructArrayOfServer_Details',
  'ServerListWithDetailsInfoResult' => 'InventoryStructServerListWithDetailsInfoResult',
  'Server_Details' => 'InventoryStructServer_Details',
  'ServersList' => 'InventoryStructServersList',
  'ServersListResponse' => 'InventoryStructServersListResponse',
);
    }
}
