<?php
/**
 * File for class InventoryStructServersListResponse
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryStructServersListResponse originally named ServersListResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://api.reliablesite.net/Inventory.svc?xsd=xsd0}
 * @package Inventory
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryStructServersListResponse extends InventoryWsdlClass
{
    /**
     * The ServersListResult
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - nillable : true
     * @var InventoryStructServerListWithDetailsInfoResult
     */
    public $ServersListResult;
    /**
     * Constructor method for ServersListResponse
     * @see parent::__construct()
     * @param InventoryStructServerListWithDetailsInfoResult $_serversListResult
     * @return InventoryStructServersListResponse
     */
    public function __construct($_serversListResult = NULL)
    {
        parent::__construct(array('ServersListResult'=>$_serversListResult),false);
    }
    /**
     * Get ServersListResult value
     * @return InventoryStructServerListWithDetailsInfoResult|null
     */
    public function getServersListResult()
    {
        return $this->ServersListResult;
    }
    /**
     * Set ServersListResult value
     * @param InventoryStructServerListWithDetailsInfoResult $_serversListResult the ServersListResult
     * @return InventoryStructServerListWithDetailsInfoResult
     */
    public function setServersListResult($_serversListResult)
    {
        return ($this->ServersListResult = $_serversListResult);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see InventoryWsdlClass::__set_state()
     * @uses InventoryWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return InventoryStructServersListResponse
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
